Edit

Share via


Sharing Links - Bulk Remove Sharing Links

Deletes all organization sharing links for the specified Fabric items. This action cannot be undone.

Note

This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.

This API supports long running operations (LRO).

Use LinksSharedToWholeOrganization PowerBI Admin REST API to get Power BI Reports shared via organizational sharing links.

Permissions

The caller must be a Fabric administrator.

Required Delegated Scopes

Tenant.ReadWrite.All

Limitations

  • Maximum 10 requests per minute.
  • Each request can delete organization sharing links for up to 500 Fabric items.
  • Only Power BI Reports are supported.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/admin/items/bulkRemoveSharingLinks

Request Body

Name Required Type Description
items True

ItemInfo[]

A list of items. The list includes item ID and type.

sharingLinkType True

SharingLinkType

Specifies the type of sharing link that is required to be deleted for each Fabric item. Additional sharing link types may be added over time.

Responses

Name Type Description
200 OK

BulkRemoveSharingLinksResponse

Request completed successfully.

202 Accepted

Request accepted. Retrieving the definition is in progress.

Headers

  • Location: string
  • x-ms-operation-id: string
  • Retry-After: integer
429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • Forbidden - The caller doesn't have permissions to call the API.

Examples

Sample request

POST https://api.fabric.microsoft.com/v1/admin/items/bulkRemoveSharingLinks

{
  "items": [
    {
      "id": "fe472f5e-636e-4c10-a1c6-7e9edc0b542a",
      "type": "Report"
    },
    {
      "id": "476fcafe-b514-495d-b13f-ca9a4f0b1d8b",
      "type": "Report"
    },
    {
      "id": "fe472f5e-636e-4c10-a1c6-7e9edc0b542c",
      "type": "Report"
    },
    {
      "id": "476fcafe-b514-495d-b13f-ca9a4f0b1d8f",
      "type": "Notebook"
    }
  ],
  "sharingLinkType": "OrgLink"
}

Sample response

{
  "itemsRemoveSharingLinksStatus": [
    {
      "id": "fe472f5e-636e-4c10-a1c6-7e9edc0b542a",
      "type": "Report",
      "status": "NotFound"
    },
    {
      "id": "476fcafe-b514-495d-b13f-ca9a4f0b1d8b",
      "type": "Report",
      "status": "Failed"
    },
    {
      "id": "fe472f5e-636e-4c10-a1c6-7e9edc0b542c",
      "type": "Report",
      "status": "Succeeded"
    },
    {
      "id": "476fcafe-b514-495d-b13f-ca9a4f0b1d8f",
      "type": "Notebook",
      "status": "Succeeded"
    }
  ],
  "sharingLinkType": "OrgLink"
}
Location: https://api.fabric.microsoft.com/v1/operations/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
x-ms-operation-id: 431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
Retry-After: 30

Definitions

Name Description
BulkRemoveSharingLinksRequest

A list of items for which all sharing links and related access is required to be removed. Also accepts the type of sharing link to be removed.

BulkRemoveSharingLinksResponse

A list of the unique IDs and sharing links removal status of the Fabric items in remove sharing links request

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ItemInfo

The item information, including item ID and type.

ItemRemoveSharingLinksStatus

The unique ID and sharing links removal status of a Fabric item

ItemType

The type of the item. Additional item types may be added over time.

SharingLinksRemovalStatus

The status of removal of sharing links. Additional SharingLinksRemovalStatus types may be added over time.

SharingLinkType

Specifies the type of sharing link that is required to be deleted for each Fabric item. Additional sharing link types may be added over time.

BulkRemoveSharingLinksRequest

A list of items for which all sharing links and related access is required to be removed. Also accepts the type of sharing link to be removed.

Name Type Description
items

ItemInfo[]

A list of items. The list includes item ID and type.

sharingLinkType

SharingLinkType

Specifies the type of sharing link that is required to be deleted for each Fabric item. Additional sharing link types may be added over time.

BulkRemoveSharingLinksResponse

A list of the unique IDs and sharing links removal status of the Fabric items in remove sharing links request

Name Type Description
itemsRemoveSharingLinksStatus

ItemRemoveSharingLinksStatus[]

A list of items remove sharing link status.

sharingLinkType

SharingLinkType

Specifies the type of sharing link that is requested for deletion for each Fabric item. Additional sharing link types may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

ItemInfo

The item information, including item ID and type.

Name Type Description
id

string (uuid)

An ID in UUID format.

type

ItemType

The item type.

ItemRemoveSharingLinksStatus

The unique ID and sharing links removal status of a Fabric item

Name Type Description
id

string (uuid)

An ID in UUID format.

status

SharingLinksRemovalStatus

The status of sharing links removal operation. Additional property types may be added over time.

type

ItemType

The item type.

ItemType

The type of the item. Additional item types may be added over time.

Value Description
Dashboard

PowerBI dashboard.

Report

PowerBI report.

SemanticModel

PowerBI semantic model.

PaginatedReport

PowerBI paginated report.

Datamart

PowerBI datamart.

Lakehouse

A lakehouse.

Eventhouse

An eventhouse.

Environment

An environment.

KQLDatabase

A KQL database.

KQLQueryset

A KQL queryset.

KQLDashboard

A KQL dashboard.

DataPipeline

A data pipeline.

Notebook

A notebook.

SparkJobDefinition

A spark job definition.

MLExperiment

A machine learning experiment.

MLModel

A machine learning model.

Warehouse

A warehouse.

Eventstream

An eventstream.

SQLEndpoint

An SQL endpoint.

MirroredWarehouse

A mirrored warehouse.

MirroredDatabase

A mirrored database.

Reflex

A Reflex.

GraphQLApi

An API for GraphQL item.

MountedDataFactory

A MountedDataFactory.

SQLDatabase

A SQLDatabase.

CopyJob

A Copy job.

VariableLibrary

A VariableLibrary.

Dataflow

A Dataflow.

ApacheAirflowJob

An ApacheAirflowJob.

WarehouseSnapshot

A Warehouse snapshot.

DigitalTwinBuilder

A DigitalTwinBuilder.

DigitalTwinBuilderFlow

A Digital Twin Builder Flow.

MirroredAzureDatabricksCatalog

A mirrored azure databricks catalog.

Map

A Map.

AnomalyDetector

An Anomaly Detector.

UserDataFunction

A User Data Function.

GraphModel

A GraphModel.

GraphQuerySet

A Graph QuerySet.

SnowflakeDatabase

A Snowflake Database to store Iceberg tables created from Snowflake account.

OperationsAgent

A OperationsAgent.

CosmosDBDatabase

A Cosmos DB Database.

Ontology

An Ontology.

EventSchemaSet

An EventSchemaSet.

DataAgent

A DataAgent.

SharingLinksRemovalStatus

The status of removal of sharing links. Additional SharingLinksRemovalStatus types may be added over time.

Value Description
Succeeded

All sharing links were removed.

NotFound

The Fabric item ID, label or type wasn't found.

SharingLinkType

Specifies the type of sharing link that is required to be deleted for each Fabric item. Additional sharing link types may be added over time.

Value Description
OrgLink

The sharing link grants access to entire organization (default value).